import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_labour_review_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_labour_review_option_entity.g.dart';

@JsonSerializable()
class SGLabourReviewOptionEntity {
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "source_list")
	List<IndexOptionEntity> sourceList = [];
	@JSONField(name: "outlet_list")
	List<IndexOptionEntity> outletList = [];

	SGLabourReviewOptionEntity();

	factory SGLabourReviewOptionEntity.fromJson(Map<String, dynamic> json) => $SGLabourReviewOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourReviewOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}